MovieCatalog/MovieCatalog.RazorPagesView/Pages/Actors/ActorsIndex.cshtml.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using MovieCatalog.Application.Actors;
using MovieCatalog.Domain.Models;

namespace MovieCatalog.RazorPagesView.Pages.Actors
{
    public class ActorsIndexModel : PageModel
    {
        private readonly IActorService _actorService;

        public IReadOnlyCollection<Actor> Actors { get; set; } = new List<Actor>();

        public ActorsIndexModel(IActorService actorService)
        {
            _actorService = actorService;
        }

        public async Task OnGetAsync(CancellationToken cancellationToken)
        {
            var actors = await _actorService.GetAllAsync(new Domain.FilterPaginationDto(string.Empty), cancellationToken);
            Actors = actors.Models;
        }

        public async Task<IActionResult> OnPostDeleteAsync(int id, CancellationToken cancellationToken)
        {
            await _actorService.DeleteAsync(id, cancellationToken);
            return RedirectToPage();
        }
    }
}

MovieCatalog/MovieCatalog.RazorPagesView/Pages/Actors/CreateActor.cshtml.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using MovieCatalog.Application.Actors;
using MovieCatalog.Domain.Models;

namespace MovieCatalog.RazorPagesView.Pages.Actors
{
    public class CreateActorModel : PageModel
    {
        private readonly IActorService _actorService;

        public CreateActorModel(IActorService actorService)
        {
            _actorService = actorService;
        }

        public void OnGet()
        {
        }

        public async Task<IActionResult> OnPostAsync(string firstName, string lastName, DateTime dateOfBirth, CancellationToken cancellationToken)
        {
            var actor = new Actor { FirstName = firstName, LastName = lastName, DateOfBirth = dateOfBirth };
            await _actorService.CreateAsync(actor, cancellationToken);
            return Redirect("./ActorsIndex");
        }
    }
}

MovieCatalog/MovieCatalog.RazorPagesView/Pages/Actors/UpdateActor.cshtml.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using MovieCatalog.Application.Actors;
using MovieCatalog.Domain.Models;

namespace MovieCatalog.RazorPagesView.Pages.Actors
{
    public class UpdateActorModel : PageModel
    {
        private readonly IActorService _actorService;

        [BindProperty]
        public Actor Actor { get; set; } = null!;

        public UpdateActorModel(IActorService actorService)
        {
            _actorService = actorService;
        }

        public async Task<IActionResult> OnGetAsync(int id, CancellationToken cancellationToken)
        {
            var actor = await _actorService.GetAsync(id, cancellationToken);
            if (actor is null)
                return NotFound();

            Actor = actor;
            return Page();
        }

        public async Task<IActionResult> OnPostAsync(string firstName, string lastName, DateTime dateOfBirth, CancellationToken cancellationToken) 
        {
            var actor = new Actor { Id = Actor.Id, FirstName = firstName, LastName = lastName, DateOfBirth = dateOfBirth };
            await _actorService.UpdateAsync(actor, cancellationToken);
            return Redirect("../ActorsIndex");
        }
    }
}

MovieCatalog/MovieCatalog.RazorPagesView/Pages/Actors/ActorsIndex.cshtml
@page
@model MovieCatalog.RazorPagesView.Pages.Actors.ActorsIndexModel
@{
    ViewData["Title"] = "Actors";
}

<div class="text-center">
    <h1>Actors</h1>
    <a asp-page="./CreateActor">Create</a>
    <form method="post">
        <table>
            <thead>
                <tr>
                    <td>First Name</td>
                    <td>Last Name</td>
                    <td>Date of Birth</td>
                    <td>Actions</td>
                </tr>
            </thead>
        @foreach (var actor in Model.Actors)
        {
            <tr>
                <td>@actor.FirstName</td>
                <td>@actor.LastName</td>
                <td>@actor.DateOfBirth.ToString("d")</td>
                <td>
                    <a asp-page="./UpdateActor" asp-route-id="@actor.Id">Update</a>
                    <button type="submit" asp-page-handler="delete" asp-route-id="@actor.Id">Delete</button>
                </td>
            </tr>
        }
        </table>
    </form>
</div>

MovieCatalog/MovieCatalog.RazorPagesView/Pages/Actors/CreateActor.cshtml
@page
@model MovieCatalog.RazorPagesView.Pages.Actors.CreateActorModel
@{
    ViewData["Title"] = "Create Actor";
}

<div class="text-center">
    <form method="post">
        <p>
            <input type="text" placeholder="Enter first name..." name="FirstName" />
        </p>

        <p>
            <input type="text" placeholder="Enter last name..." name="LastName" />
        </p>
        
        <p>
            <input type="datetime-local" name="DateOfBirth" />
        </p>

        <input type="submit" value="Create" />
    </form>
</div>

MovieCatalog/MovieCatalog.RazorPagesView/Pages/Actors/UpdateActor.cshtml
@page "{id:int}"
@model MovieCatalog.RazorPagesView.Pages.Actors.UpdateActorModel
@{
    ViewData["Title"] = "Update Actor";
}

<div class="text-center">
    <form method="post">
        <p>
            <input type="text" placeholder="Enter first name..." name="FirstName" value="@Model.Actor.FirstName" />
        </p>

        <p>
            <input type="text" placeholder="Enter last name..." name="LastName" value="@Model.Actor.LastName" />
        </p>

        <p>
            <input type="date" name="DateOfBirth" value="@Model.Actor.DateOfBirth.ToString("yyyy-MM-dd")" />
        </p>

        <input type="submit" value="Update" />
    </form>
</div>